#*******************************************************************************
#.gitignore
#*******************************************************************************

#Purpose:
#The git program is informed here to ignore the following files while performing
#its distributed revision control and source code management. 
#Author:
#Cedric H. David, 2014-2015


#*******************************************************************************
#List of files that git will ignore
#*******************************************************************************

#-------------------------------------------------------------------------------
#Initial releases of RAPID included batch submission scripts for supercomputers
#-------------------------------------------------------------------------------
job_*

#-------------------------------------------------------------------------------
#Legacy name for BSD 3-clause license of RAPID between 20120831 - 20131113 
#-------------------------------------------------------------------------------
rapid_license.txt

#-------------------------------------------------------------------------------
#The input and output files stored in sub-directories of
#-------------------------------------------------------------------------------
input/
output/

#-------------------------------------------------------------------------------
#The files added by users to the run directory except for rapid_script.sh
#-------------------------------------------------------------------------------
run/*
!run/rapid_script.sh

#-------------------------------------------------------------------------------
#The RAPID executable
#-------------------------------------------------------------------------------
src/rapid

#-------------------------------------------------------------------------------
#The files potentially added to the rtk directory 
#-------------------------------------------------------------------------------
rtk/rapid
rtk/rapid_namelist
rtk/rtk_run_comp
rtk/tmp_*
